﻿<mah:MetroWindow x:Class="TourPlanner.Views.AddTourLogWindow"
                 x:Name="WindowAddTourLog"
        xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
        xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
        xmlns:d="http://schemas.microsoft.com/expression/blend/2008"
        xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006"
        xmlns:local="clr-namespace:TourPlanner.Views"
        xmlns:components="clr-namespace:TourPlanner.Components"
        xmlns:mah="http://metro.mahapps.com/winfx/xaml/controls"
        xmlns:enums="clr-namespace:TourPlanner.Models.Enums"
        xmlns:viewModels="clr-namespace:TourPlanner.ViewModels"
        mc:Ignorable="d"
        Title="Add Tour Log" Height="365" Width="500" ResizeMode="NoResize">
    <Window.DataContext>
        <viewModels:AddTourLogWindowViewModel/>
    </Window.DataContext>
    <Grid Margin="5,5,5,5">
        <StackPanel>
            <Label Content="{Binding SelectedTour.Name}" FontFamily="Bahnschrift SemiBold" FontSize="20"></Label>

            <Label Content="Done at" FontFamily="Bahnschrift Light" FontStyle="Italic" FontSize="10" Margin="0,0,0,-5"></Label>
            <mah:DateTimePicker SelectedDateTime="{Binding DoneAtInput}" IsClockVisible="False" IsTodayHighlighted="True" SelectedTimeFormat="Short" SelectedDateFormat="Long"/>

            <Grid>
                <Grid.ColumnDefinitions>
                    <ColumnDefinition Width="0.3*"></ColumnDefinition>
                    <ColumnDefinition Width="0.3*"></ColumnDefinition>
                    <ColumnDefinition Width="*"></ColumnDefinition>
                </Grid.ColumnDefinitions>

                <StackPanel Grid.Column="0" Margin="0,0,20,0">
                    <Label Content="Hours" FontFamily="Bahnschrift Light" FontStyle="Italic" FontSize="10" Margin="0,0,0,-5"></Label>
                    <mah:NumericUpDown Minimum="0" Maximum="1000" Value="{Binding HoursInput}"></mah:NumericUpDown>
                </StackPanel>

                <StackPanel Grid.Column="1" Margin="0,0,20,0">
                    <Label Content="Minutes" FontFamily="Bahnschrift Light" FontStyle="Italic" FontSize="10" Margin="0,0,0,-5"></Label>
                    <mah:NumericUpDown Minimum="0" Maximum="59" Value="{Binding MinutesInput}"></mah:NumericUpDown>
                </StackPanel>
            </Grid>

            <Label Content="Difficulty" FontFamily="Bahnschrift Light" FontStyle="Italic" FontSize="10" Margin="0,0,0,-5"></Label>
            <ComboBox ItemsSource="{Binding Source={enums:EnumBindingSource {x:Type enums:Difficulty}}}" 
                      SelectedItem="{Binding DifficultyInput, Mode=OneWayToSource}">
            </ComboBox>

            <Label Content="Rating" FontFamily="Bahnschrift Light" FontStyle="Italic" FontSize="10" Margin="0,0,0,-5"></Label>
            <ComboBox ItemsSource="{Binding Source={enums:EnumBindingSource {x:Type enums:Rating}}}" 
                      SelectedItem="{Binding RatingInput, Mode=OneWayToSource}">
            </ComboBox>

            <components:CustomTextInput Label="Comment" Value="{Binding CommentInput}" Watermark="Comment about your tour..."/>

            <Separator Margin="0,20,0,10"></Separator>

            <Grid Grid.Row="5" Height="43">
                <Grid.ColumnDefinitions>
                    <ColumnDefinition/>
                    <ColumnDefinition/>
                </Grid.ColumnDefinitions>

                <Button Grid.Column="0" Content="Cancel" VerticalAlignment="Center" Margin="0,0,10,0" IsCancel="True"/>
                <Button Grid.Column="1" Content="Add new Tour Log" VerticalAlignment="Center" Margin="10,0,0,0" IsDefault="True" Command="{Binding CreateNewTourLogCommand}" CommandParameter="{Binding ElementName=WindowAddTourLog}"/>
            </Grid>
        </StackPanel>
    </Grid>
</mah:MetroWindow>
